Mailinglist Archive: opensuse-factory (216 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190506 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190506

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
MozillaFirefox (66.0.3 -> 66.0.4)
MozillaFirefox-branding-openSUSE
blog
desktop-translations (84.87.20190409.048e157e -> 84.87.20190504.726deb37)
glib-networking (2.60.1 -> 2.60.2)
glib2 (2.60.1 -> 2.60.2)
kmod (25 -> 26)
ltrace
man
multipath-tools (0.8.0+17+suse.a28893f -> 0.8.1+8+suse.8c11498)
netcfg
openblas_pthreads (0.3.5 -> 0.3.6)
perl-Test-Simple (1.302162 -> 1.302164)
perl-YAML (1.27 -> 1.28)
permissions (20190212 -> 20190429)
polkit-default-privs (13.2+20190411.5775d58 -> 13.2+20190503.00651e7)
python-pygit2
systemd-presets-common-SUSE
tracker (2.2.1 -> 2.2.2)
tracker-miners (2.2.1 -> 2.2.2)
xfsprogs (4.20.0 -> 5.0.0)

=== Details ===

==== MozillaFirefox ====
Version update (66.0.3 -> 66.0.4)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 66.0.4 (boo#1134126)
* fix extension certificate chain

https://blog.mozilla.org/addons/2019/05/04/update-regarding-add-ons-in-firefox/

==== MozillaFirefox-branding-openSUSE ====

- recognize Leap 15 via sle_version (required for >= 15.1)

==== blog ====

- Implement shared library packaging guideline.

==== desktop-translations ====
Version update (84.87.20190409.048e157e -> 84.87.20190504.726deb37)

- Update to version 84.87.20190504.726deb37:
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Finnish)
* Translated using Weblate (Lithuanian)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* update translations

==== glib-networking ====
Version update (2.60.1 -> 2.60.2)
Subpackages: glib-networking-lang

- Update to version 2.60.2:
+ OpenSSL backend now defaults to system trust store.
+ Fix client auth failure error with GnuTLS 3.6.7.
- Drop 0001-gnutls-Handle-new-GNUTLS_E_CERTIFICATE_REQUIRED.patch:
fixed upstream.

==== glib2 ====
Version update (2.60.1 -> 2.60.2)
Subpackages: glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Update to version 2.60.2:
+ Fix crash when displaying notifications on macOS.
+ Improve network status detection with NetworkManager.
+ Bugs fixed: glgo#GNOME/GLib!790, glgo#GNOME/GLib!793,
glgo#GNOME/GLib!803.
+ Updated translations.

==== kmod ====
Version update (25 -> 26)
Subpackages: kmod-compat libkmod2

- Enable PKCS#7 signature parsing again - requires openssl
- Update to new upstream release 26
* depmod now handles parallel invocations better by protecting
the temporary files being used.
* modprobe has a new --show-exports option. Under the hood,
this reads the .symtab and .strtab sections rather than
__versions so it shows useful data even if kernel is
configured without modversions (CONFIG_MODVERSIONS).
* modinfo supports PKCS#7 parsing by using openssl.
- Replaced the asn1c-based parser by an openssl-based PKCS
parser.
- Remove libkmod-signature-Fix-crash-when-module-signature-is.patch,
libkmod-signature-pkcs-7-fix-crash-when-signer-info-.patch,
libkmod-signature-implement-pkcs7-parsing-with-asn1c.patch
(not accepted upstream)
- Remove enum.patch,
depmod-Prevent-module-dependency-files-corruption-du.patch,
depmod-Prevent-module-dependency-files-missing-durin.patch,
depmod-shut-up-gcc-insufficinet-buffer-warning.patch
(accepted upstream)

==== ltrace ====

- Add gcc9-Wlto-type-mismatch.patch in order to address LTO warnings
(boo#1133256).

==== man ====

- Make systemd timers and services optional but hold them enabled
as maybe in future all packages providing manual pages might use
a posttrans scriplet to trigger a refresh of the man db (boo#1133762).
- remove %verify(not group) from /var/cache/man, the inconsistent
permissions are fixed in the permissions package (boo#1133678)

==== multipath-tools ====
Version update (0.8.0+17+suse.a28893f -> 0.8.1+8+suse.8c11498)
Subpackages: kpartx libmpath0

- Disable kmod() style dependencies again (bsc#1119414)
* For TW, dependencies will be autogenerated
(gh#openSUSE/rpm-config-SUSE#3)
* For SLE, feature is currently rejected (jsc#SLE-3853)
- Update to version 0.8.1+8+suse.8c11498:
* Avoid deadlock situation during udev settle
(bsc#1131789, bsc#1125145)
- multipath -u: test socket connection in non-blocking mode
* Fix priority handling for offline paths
(bsc#1118495)
- Update to upstream 0.8.1
* Avoid device IO in "multipath -u" (bsc#1125145)
* multipathd: protect all access to running_state
(bsc##1110060, bsc#1110439)
* Improve handling of changed WWIDs and temporary failure
to obtain WWID. Option "disable_changed_wwids" is now ignored.
* Fixes for PATH_PENDING state handling (bsc#1125043)

==== netcfg ====

- Remove pre/post install to get rid of coreutils dependency.
We don't support upgrading of this old code anymore and coreutils
is not wanted in busybox containers.
- Update services.bz2

==== openblas_pthreads ====
Version update (0.3.5 -> 0.3.6)

- Update to version 0.3.6 (boo#1122186)
common:
* the build tools now check that a given cpu TARGET is actually valid
* the build-time check of system features (c_check) has been made
less dependent on particular perl features (this should mainly
benefit building on Windows)
* several problems with ReLAPACK and its integration were fixed,
including INTERFACE64 support and building a shared library
* building with CMAKE on BSD systems was improved
* a non-absolute SUM function was added based on the
existing optimized code for ASUM
* CBLAS interfaces to the IxMIN and IxMAX functions were added
* a name clash between LAPACKE and BOOST headers was resolved
* CMAKE builds with OpenMP failed to include the appropriate getrf_parallel
kernels
* a crash on thread (key) deletion with the USE_TLS=1 memory management
option was fixed
* restored several earlier fixes, in particular for OpenMP performance,
building on BSD, and calling fork on CYGWIN, which had inadvertently
been dropped in the 0.3.3 rewrite of the memory management code.
POWER:
* single precision BLAS1/2 functions have received optimized POWER8 kernels
* POWER9 is now a separate target, with an optimized DGEMM/DTRMM kernel
* building on PPC970 systems under OSX Leopard or Tiger is now supported
* out-of-bounds memory accesses in the gemm_beta microkernels were fixed
* building a shared library on AIX is now supported for POWER6
* DYNAMIC_ARCH support has been added for POWER6 and newer
ARMV7:
* corrected xDOT behaviour with zero INC_X or INC_Y
* a bug in the IMIN implementation made it return the result of IMAX
ARMV8:
* added support for HiSilicon TSV110 cpus
* the CMAKE build system now recognizes 32bit userspace on 64bit hardware
* cross-compilation with CMAKE now works again
* a bug in the IMIN implementation made it return the result of IMAX
* ARMV8 builds with the BINARY=32 option are now automatically handled as
ARMV7
x86_64:
* the AVX512 DGEMM kernel has been disabled again due to unsolved problems
* building with old versions of MSVC was fixed
* it is now possible to build a static library on Windows with CMAKE
* accessing environment variables on CYGWIN at run time was fixed
* the CMAKE build system now recognizes 32bit userspace on 64bit hardware
* Intel "Denverton" atom and Hygon "Dhyana" zen CPUs are now autodetected
* building for DYNAMIC_ARCH with a DYNAMIC_LIST of targets is now supported
with CMAKE as well
* building for DYNAMIC_ARCH with GENERIC as the default target is now
supported
* a buffer overflow in the SSE GEMM kernel for Intel Nano targets was fixed
* assembly bugs involving undeclared modification of input operands were fixed
in the AXPY, DOT, GEMV, GER, SCAL, SYMV and TRSM microkernels for Nehalem,
Sandybridge, Haswell, Bulldozer and Piledriver. These would typically cause
test failures or segfaults when compiled with recent versions of gcc from 8
onward.
* a similar bug was fixed in the blas_quickdivide code used to split workloads
in most functions
* a bug in the IxMIN implementation for the GENERIC target made it return the
result of IxMAX
* fixed building on SkylakeX systems when either the compiler or the
(emulated) operating
environment does not support AVX512
* improved GEMM performance on ZEN targets
x86:
* build failures caused by the recently added checks for AVX512 were fixed
* an inline assembly bug involving undeclared modification of an input
argument was
fixed in the blas_quickdivide code used to split workloads in most functions
* a bug in the IMIN implementation for the GENERIC target made it return the
result of IMAX
MIPS32:
* a bug in the IMIN implementation made it return the result of IMAX
IBM Z:
* optimized microkernels for single precicion BLAS1/2 functions have been
added for Z13 and Z14
- Rebase openblas-noexecstack.patch and openblas-s390.patch patches.
- Remove 0001-Add-a-register-to-the-clobber-list-for-the-mul-instr.patch.

==== perl-Test-Simple ====
Version update (1.302162 -> 1.302164)

- updated to 1.302164
see /usr/share/doc/packages/perl-Test-Simple/Changes
1.302164 2019-04-27 01:43:44-07:00 America/Los_Angeles
1.302163 2019-04-25 05:45:47-07:00 America/Los_Angeles (TRIAL RELEASE)
- Do not use threads::Shared in Test::Tester::Capture (#826)
- Add missing version info to Info/Table
- Fix event in global destruction bug (#827)
- Proper fix for todo = '' (#812, #829)

==== perl-YAML ====
Version update (1.27 -> 1.28)

- updated to 1.28
see /usr/share/doc/packages/perl-YAML/Changes
1.28 Sun 28 Apr 2019 11:46:21 AM CEST
- Security fix: only enable loading globs when $LoadCode is set (PR#213
TINITA)

==== permissions ====
Version update (20190212 -> 20190429)

- Fixed versions. Removed set_version from _service file, doesn't
work with the new packaging. Call fix_version.sh to set current
date as version instead
- Fixed requires for -config and -zypp-plugin
- Update to version 20190429:
* removed entry for /var/cache/man. Conflicts with packaging and man:man is
the better setting anyway (bsc#1133678)
* fixed error in description of permissions.paranoid. Make it clear that this
is not a usable profile, but intended as a base for own developments
- Fix RPM group, fix hard requirement on documentation.
Update description typography.
- Created new subpackages -config, -doc and standalone package chkstat
where we can start a better versioning scheme and require it from the
original package

==== polkit-default-privs ====
Version update (13.2+20190411.5775d58 -> 13.2+20190503.00651e7)

- Update to version 13.2+20190503.00651e7:
* tuned: add new plugin doc actions (bsc#1131858)
- Update to version 13.2+20190502.37ad64c:
* fwupd: add incrementally added polkit actions (bsc#1133082)
- Update to version 13.2+20190430.a4836d6:
* backintime: add renamed gui pkexec action (bsc#1133680)
* backintime: add restrictive config, too

==== python-pygit2 ====

- Add patch to fix the pycparser issues as per bellow:
* pycparser.patch

==== systemd-presets-common-SUSE ====

- Enable logwatch.timer (bsc#1112500).

==== tracker ====
Version update (2.2.1 -> 2.2.2)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.2.2:
+ Fixed initialization of virtual tables.
+ Fixed segmentation fault in libtracker-miner.
+ Don't try to create JSON-LD nodes with unsigned integers.
+ Handle correctly backreferences in TrackerResource tree.
+ Many documentation fixes.
+ Fixed handling doubles with exponents in SPARQL.
+ Don't limit to specific desktop environments.
+ Build and test fixes.
+ Updated translations.

==== tracker-miners ====
Version update (2.2.1 -> 2.2.2)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.2.2:
+ Multiple leak fixes.
+ Functional tests now use python3.
+ Fix text extractor handling of non-existent files.
+ Fix indexing of tracks in FLAC files.
+ Added new tests for file formats.
+ Updated translations.

==== xfsprogs ====
Version update (4.20.0 -> 5.0.0)
Subpackages: libhandle1

- Update to v5.0.0
* xfs_db: scan all sparse inodes when using 'frag'
* Fix build with newer statx headers
* libxfs: fix buffer & inode lifetimes
* misc: fix strncpy length complaints from gcc
* Merge libxfs from kernel 5.0


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups